OpenJPEG: opj_tcd_cblk_enc Struct Reference

OpenJPEG 2.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
opj_tcd_cblk_enc Struct Reference
TCD - Implementation of a tile coder/decoder

FIXME DOC. More...

`#include <tcd.h>`

## Data Fields
OPJ_BYTE * | data
opj_tcd_layer_t * | layers
opj_tcd_pass_t * | passes
OPJ_INT32 | x0
OPJ_INT32 | y0
OPJ_INT32 | x1
OPJ_INT32 | y1
OPJ_UINT32 | numbps
OPJ_UINT32 | numlenbits
OPJ_UINT32 | data_size
OPJ_UINT32 | numpasses
OPJ_UINT32 | numpassesinlayers
OPJ_UINT32 | totalpasses

## Detailed Description

FIXME DOC.

## Field Documentation

OPJ_BYTE* opj_tcd_cblk_enc::data

Referenced by opj_t1_encode_cblk(), opj_tcd_code_block_enc_allocate_data(), opj_tcd_code_block_enc_deallocate(), opj_tcd_makelayer(), and opj_tcd_makelayer_fixed().

OPJ_UINT32 opj_tcd_cblk_enc::data_size

Referenced by opj_tcd_code_block_enc_allocate_data().

opj_tcd_layer_t* opj_tcd_cblk_enc::layers

Referenced by opj_t2_encode_packet(), opj_tcd_code_block_enc_allocate(), opj_tcd_code_block_enc_deallocate(), opj_tcd_makelayer(), and opj_tcd_makelayer_fixed().

OPJ_UINT32 opj_tcd_cblk_enc::numbps

Referenced by opj_t1_encode_cblk(), opj_t2_encode_packet(), and opj_tcd_makelayer_fixed().

OPJ_UINT32 opj_tcd_cblk_enc::numlenbits

Referenced by opj_t2_encode_packet().

OPJ_UINT32 opj_tcd_cblk_enc::numpasses

Referenced by opj_t2_encode_packet().

OPJ_UINT32 opj_tcd_cblk_enc::numpassesinlayers

Referenced by opj_tcd_makelayer(), and opj_tcd_makelayer_fixed().

opj_tcd_pass_t* opj_tcd_cblk_enc::passes

Referenced by opj_t1_encode_cblk(), opj_t2_encode_packet(), opj_tcd_code_block_enc_allocate(), opj_tcd_code_block_enc_deallocate(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), and opj_tcd_rateallocate().

OPJ_UINT32 opj_tcd_cblk_enc::totalpasses

Referenced by opj_t1_encode_cblk(), and opj_tcd_rateallocate().

OPJ_INT32 opj_tcd_cblk_enc::x0

Referenced by opj_t1_encode_cblks(), opj_tcd_code_block_enc_allocate_data(), opj_tcd_init_tile(), and opj_tcd_rateallocate().

OPJ_INT32 opj_tcd_cblk_enc::x1

Referenced by opj_t1_encode_cblks(), opj_tcd_code_block_enc_allocate_data(), opj_tcd_init_tile(), and opj_tcd_rateallocate().

OPJ_INT32 opj_tcd_cblk_enc::y0

Referenced by opj_t1_encode_cblks(), opj_tcd_code_block_enc_allocate_data(), opj_tcd_init_tile(), and opj_tcd_rateallocate().

OPJ_INT32 opj_tcd_cblk_enc::y1

Referenced by opj_t1_encode_cblks(), opj_tcd_code_block_enc_allocate_data(), opj_tcd_init_tile(), and opj_tcd_rateallocate().

The documentation for this struct was generated from the following file:

- tcd.h